UiPath Documentation
automation-suite
2024.10
false
Automation Suite API guide
  • Getting started
    • About this guide
    • Available resources
    • API endpoint URL structure
    • Enumeration list
  • Authentication
  • Scopes and permissions
  • Platform Management APIs

Get specific robot account

API endpoint for retrieving information about a specific robot account by organization and robot account ID in Automation Suite.

Returns information about a robot account, based on the organization and robot account ID.

API endpoint​

GET https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}/{robotAccountId}

Scopes​

Requires the following scopes:

  • PM.RobotAccount
  • PM.RobotAccount.Read

Request headers​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Path parameters​

ParameterData typeDescription
partitionGlobalIdStringRequired.
The ID of the organization containing the desired group.
robotAccountIDStringRequired.
The ID of the robot account you want to retrieve.

Responses​

200 OK​

The specified robot account information is returned, such as name, creation time, and the group IDs the account is part of.

Example request​

Let's say you gathered all the information needed to build the API call.

  • Your {baseURL} is: https://{yourDomain}/{organizationName}/{tenantName}/
  • Your {access_token} is: 1234 (for length considerations).
  • The {partitionGlobalId} is: magic-7
  • The {robotAccountID} is: 33-ab

The call should resemble the following example (cURL):

curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

Here's the response body for a successful call:

{
    "id": "33-ab",
    "name": "Bot3",
    "displayName": "Bot3",
    "creationTime": "2021-10-19T14:25:01.6574988",
    "lastModificationTime": "2021-10-19T14:25:01.6574988",
    "groupIds": [
       "4d161738-7204", "ce684f6f-5af3"
    ]
}
{
    "id": "33-ab",
    "name": "Bot3",
    "displayName": "Bot3",
    "creationTime": "2021-10-19T14:25:01.6574988",
    "lastModificationTime": "2021-10-19T14:25:01.6574988",
    "groupIds": [
       "4d161738-7204", "ce684f6f-5af3"
    ]
}
  • API endpoint​
  • Scopes​
  • Request headers​
  • Path parameters​
  • Responses​
  • 200 OK​
  • Example request​

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated